Ubuntu

[08ff:1600] AES1600 Fingerprint scanner not functioning after dist-upgrade

Reported by Dösi on 2010-09-16
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Release Notes for Ubuntu
Undecided
Unassigned
libfprint (Ubuntu)
Medium
Unassigned
Maverick
Medium
Unassigned

Bug Description

Binary package hint: libfprint0

I own a fingerprint reader, which looks like this in lsusb:
Bus 003 Device 002: ID 08ff:1600 AuthenTec, Inc. AES1600

While having had the dist-upgrade to 10.10, I experienced that the fingerprint reader ceased to function.
This situation didn't change after rebooting the system with the newer kernel (2.6.35-21-generic #31-Ubuntu SMP)
I tried to reinstall the packages:
fprint-demo, libfprint0, libpam-fprint, but obviously this didn't help, the fprint_demo still can't find any devices.

These packages doesn't seem to have been updated according to their version numbers anyway.

The upgrade was from 10.04.1, where the abovementioned hardware worked out of the box, I was using it with libpam-fprint to authenticate myself. The fingerprints were recodred with fprint_demo.

the current version of the packages which may have been affected:
$ apt-cache policy libfprint0 libpam-fprint fprint-demo
fprint-demo:
  Telepítve: 20080303git-5ubuntu1
  Jelölt: 20080303git-5ubuntu1
  Verziótáblázat:
 *** 20080303git-5ubuntu1 0
        500 http://hu.archive.ubuntu.com/ubuntu/ maverick/universe amd64 Packages
        100 /var/lib/dpkg/status
libfprint0:
  Telepítve: 20081125git-4build1
  Jelölt: 20081125git-4build1
  Verziótáblázat:
 *** 20081125git-4build1 0
        500 http://hu.archive.ubuntu.com/ubuntu/ maverick/universe amd64 Packages
        100 /var/lib/dpkg/status
libpam-fprint:
  Telepítve: 20080330+git-5
  Jelölt: 20080330+git-5
  Verziótáblázat:
 *** 20080330+git-5 0
        500 http://hu.archive.ubuntu.com/ubuntu/ maverick/universe amd64 Packages
        100 /var/lib/dpkg/status

Fabián Rodríguez (magicfab) wrote :

Same problem here on a clean 64-bit install of Maverick.

Changed in libfprint (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
summary: - fingerprint scanner not functioning after dist-upgrade
+ Fingerprint scanner not functioning after dist-upgrade
Dösi (erdosib) wrote :

Some update: after having reinstalled libfprint, fprint_demo and pam_fprint from source, everything works again like before.

I don't know if it can be related, but during installation libfprint required a header file of ImageMagick, most notably magick/ImageMagick.h. This file couldn't have been found in the package
 graphicsmagick-libmagick-dev-compat as it was in my opinion supposed to be as this is a compatibility package.

So in order to make libfprint work I ended up reinstalling libmagick. To be honest I don't think this would be an ideal solution, however, it may be needed to test if libfprint could function with libmagick being installed.

summary: - Fingerprint scanner not functioning after dist-upgrade
+ [08ff:1600] AES1600 Fingerprint scanner not functioning after dist-
+ upgrade
Dösi (erdosib) wrote :

Thank you, for me, too!

Changed in ubuntu-release-notes:
status: New → Fix Released
albireo (albireo-nizmster) wrote :

Solved, thank you Fabián.

Robert Ancell (robert-ancell) wrote :

Closing as 10.10 is no longer supported.

Changed in libfprint (Ubuntu Maverick):
status: Confirmed → Won't Fix
Changed in libfprint (Ubuntu):
status: Confirmed → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers